class KubermagicFormField(object):
    # Tracks each time a Field instance is created. Used to retain order.
    creation_counter = 0

    def __init__(self, field_type, label=None):
        self.label = label
        self.field_type = field_type

        # Increase the creation counter, and save our local copy.
        # Use the class name (not self.__class__) as the counter must be
        # linked to the parent class.
        self.creation_counter = KubermagicFormField.creation_counter
        KubermagicFormField.creation_counter += 1
